summaryrefslogtreecommitdiffstats
path: root/jjb/container4nfv/arm64/compass-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/container4nfv/arm64/compass-build.sh')
-rwxr-xr-xjjb/container4nfv/arm64/compass-build.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/jjb/container4nfv/arm64/compass-build.sh b/jjb/container4nfv/arm64/compass-build.sh
new file mode 100755
index 000000000..696f7ff76
--- /dev/null
+++ b/jjb/container4nfv/arm64/compass-build.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -e
+
+cd compass4nfv
+
+COMPASS_WORK_DIR=$WORKSPACE/../compass-work
+mkdir -p $COMPASS_WORK_DIR
+ln -s $COMPASS_WORK_DIR work
+
+#TODO: remove workaround after all arm64 patches merged
+curl -s http://people.linaro.org/~yibo.cai/compass/compass4nfv-arm64-fixup.sh | bash -s {scenario}
+
+# build tarball
+COMPASS_ISO_REPO='http://people.linaro.org/~yibo.cai/compass' ./build.sh